import { IPositionStrategy } from './IPositionStrategy';
import { PositionSettings, Point, Size } from './../utilities';
/**
 * Positions the element based on the directions and start point passed in trough PositionSettings.
 * It is possible to either pass a start point or an HTMLElement as a positioning base.
 */
export declare class ConnectedPositioningStrategy implements IPositionStrategy {
    private _defaultSettings;
    /** @inheritdoc */
    settings: PositionSettings;
    constructor(settings?: PositionSettings);
    position(contentElement: HTMLElement, size: Size, document?: Document, initialCall?: boolean): void;
    /** @inheritdoc */
    clone(): IPositionStrategy;
    protected setStyle(contentElement: HTMLElement, startPont: Point, settings: PositionSettings): void;
}
